Package org.gradle.api.artifacts.result

# Interface ResolvedDependencyResult

All Superinterfaces:
  `DependencyResult`

@Incubating public interface ResolvedDependencyResult extends DependencyResult
A dependency that was resolved successfully.

## Method Summary

Modifier and Type
Method
Description
`ResolvedComponentResult`
`getSelected()`
Returns the selected component.

### Methods inherited from interface org.gradle.api.artifacts.result.DependencyResult

`getFrom, getRequested`

## Method Details

### getSelected

ResolvedComponentResult getSelected()
Returns the selected component. This may not necessarily be the same as the requested component. For example, a dynamic version may have been requested, or the version may have been substituted due to conflict resolution, or by being forced, or for some other reason.